Bug 207229 - security/pam_google_authenticator: update to 1.01.20160208 snapshot
Summary: security/pam_google_authenticator: update to 1.01.20160208 snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Raphael Kubo da Costa
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-15 21:45 UTC by Ralf van der Enden
Modified: 2016-03-11 16:07 UTC (History)
4 users (show)

See Also:
rakuco: maintainer-feedback-


Attachments
- update to 1.01.20160208 snapshot (6.20 KB, patch)
2016-02-15 21:45 UTC, Ralf van der Enden
no flags Details | Diff
Poudriere buildlog (53.58 KB, text/plain)
2016-02-15 21:46 UTC, Ralf van der Enden
no flags Details
New patch (6.79 KB, patch)
2016-03-06 19:36 UTC, Ralf van der Enden
no flags Details | Diff
Fix installation location of the .so file (858 bytes, patch)
2016-03-08 15:29 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2016-02-15 21:45:00 UTC
Created attachment 167052 [details]
- update to 1.01.20160208 snapshot

Update to 1.01.20160208 snapshot.

Removed STEPSIZE option since it's now part of the code (which also makes the patches obsolete).

Changed from local MASTERDIR to GITHUB

Fixed staging for lib/pam_google_authenticator.so

Removed:
D       files
D       files/patch-Makefile
D       files/patch-pam_google_authenticator.c
Comment 1 Ralf van der Enden 2016-02-15 21:46:41 UTC
Created attachment 167053 [details]
Poudriere buildlog
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-02-28 22:05:28 UTC
Can you please clarify where the maintainer approved this patch?
Comment 3 Raphael Kubo da Costa freebsd_committer 2016-02-28 22:06:08 UTC
Or where he provided feedback (the meaning of "maintainer-feedback+" flag).
Comment 4 Ralf van der Enden 2016-02-28 22:32:22 UTC
I hadn't meant to set it to +, but to ? instead. Sorry about that.
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-03-05 17:07:05 UTC
CC'ing the maintainer's new email address just in case that's why he hasn't responded to this bug.
Comment 6 Raphael Kubo da Costa freebsd_committer 2016-03-05 17:09:46 UTC
(In reply to Ralf van der Enden from comment #0)
> Created attachment 167052 [details]
> - update to 1.01.20160208 snapshot
>
> Update to 1.01.20160208 snapshot.

Hi Ralf,

A few suggestions of other things that can be improved in this update:
- The port now uses autotools, so you can use GNU_CONFIGURE=yes instead of HAS_CONFIGURE=yes.
- Similarly, since it uses autotools you don't need a custom do-install target (or the bsd.port.options.mk include either: you can just rely on `make install' to work (the plist changes though).
Comment 7 Ralf van der Enden 2016-03-06 19:36:07 UTC
Created attachment 167774 [details]
New patch

I've replaced my previous patch with a new one that now has all the suggestions made by Raphael
Comment 8 commit-hook freebsd_committer 2016-03-06 20:00:52 UTC
A commit references this bug:

Author: rakuco
Date: Sun Mar  6 20:00:33 UTC 2016
New revision: 410480
URL: https://svnweb.freebsd.org/changeset/ports/410480

Log:
  Update to the 1.01.20160208 snapshot.

  - Removed STEPSIZE option since it's now part of the code (which also makes the
    patches obsolete).
  - The upstream code is now hosted on GitHub, so use USE_GITHUB=yes.
  - The upstream code now has a proper buildsystem, which allows us to simplify
    the code quite significantly.

  PR:		207229
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	maintainer timeout (20 days)

Changes:
  head/security/pam_google_authenticator/Makefile
  head/security/pam_google_authenticator/distinfo
  head/security/pam_google_authenticator/files/
  head/security/pam_google_authenticator/pkg-plist
Comment 9 Raphael Kubo da Costa freebsd_committer 2016-03-06 20:01:50 UTC
Thanks, that looks better!
Comment 10 Kurt Jaeger freebsd_committer 2016-03-08 14:15:27 UTC
Upgrade changed path to .so, which caused failure:

https://lists.freebsd.org/pipermail/freebsd-ports/2016-March/102384.html

Raphael, can you add some note to UPDATING ?
Comment 11 Ralf van der Enden 2016-03-08 15:29:26 UTC
Created attachment 167858 [details]
Fix installation location of the .so file

This patch makes sure the .so is installed in the "old" location.

Bumped the PORTREVISION to make sure everyone gets it.

Sorry for missing this in my latest update.
Comment 12 Kurt Jaeger freebsd_committer 2016-03-08 20:00:21 UTC
testbuilds are fine.
Comment 13 Raphael Kubo da Costa freebsd_committer 2016-03-08 20:40:39 UTC
Sorry about the breakage :(

I noticed the location would change, but thought it wouldn't be a problem (that only shows how much I know about PAM).

Kurt, please feel free to commit it if you have time, otherwise I'll do that later today or tomorrow. Thanks everyone for acting so fast!
Comment 14 commit-hook freebsd_committer 2016-03-08 20:44:12 UTC
A commit references this bug:

Author: pi
Date: Tue Mar  8 20:43:20 UTC 2016
New revision: 410660
URL: https://svnweb.freebsd.org/changeset/ports/410660

Log:
  security/pam_google_authenticator: fix .so location

  - move .so location back to where it was

  PR:		207229
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	just-fix-it

Changes:
  head/security/pam_google_authenticator/Makefile
  head/security/pam_google_authenticator/pkg-plist
Comment 15 commit-hook freebsd_committer 2016-03-08 20:46:14 UTC
A commit references this bug:

Author: pi
Date: Tue Mar  8 20:45:15 UTC 2016
New revision: 410661
URL: https://svnweb.freebsd.org/changeset/ports/410661

Log:
  security/pam_google_authenticator: fix space/tab in Makefile

  PR:		207229

Changes:
  head/security/pam_google_authenticator/Makefile
Comment 16 Kurt Jaeger freebsd_committer 2016-03-08 20:47:13 UTC
Committed, thanks to all.
Comment 17 Jan Bramkamp 2016-03-11 15:58:15 UTC
A damn UPDATING entry would have been nice. This way my sshd PAM configuration broke *twice* without notice.
Comment 18 Kurt Jaeger freebsd_committer 2016-03-11 16:07:44 UTC
Sorry!